Package org.eclipse.net4j.util.ui

## Class ValidationContext.Aggregator

- java.lang.Object
- - org.eclipse.net4j.util.ui.ValidationContext.Aggregator

- All Implemented Interfaces:
    `ValidationContext`
  Enclosing interface:
    ValidationContext

      public static class ValidationContext.Aggregator
      extends java.lang.Object
      implements ValidationContext

  Author:
    Eike Stepper

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.eclipse.net4j.util.ui.ValidationContext

      `ValidationContext.Aggregator`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Aggregator​(ValidationContext delegate)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected java.lang.String` | `formatMessage​(java.util.Map<java.lang.Object,​java.lang.String> messages)` |
    `void` | `setValidationError​(java.lang.Object source, java.lang.String message)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Aggregator

          public Aggregator​(ValidationContext delegate)

  - ### Method Detail

    - #### setValidationError

          public void setValidationError​(java.lang.Object source,
                                         java.lang.String message)

      Specified by:
        `setValidationError` in interface `ValidationContext`

    - #### formatMessage

          protected java.lang.String formatMessage​(java.util.Map<java.lang.Object,​java.lang.String> messages)